Results 1 to 6 of 6

Thread: Cannot install Openvpn

  1. #1
    Join Date
    Oct 2004
    Beans
    359
    Distro
    Ubuntu 18.04 Bionic Beaver

    Cannot install Openvpn

    Hi all,

    I have the latest openvpn repository added to my repository list and added the key and updated the list no problem.

    Now when I try to install openvpn, I keep getting this error:

    Code:
    root@tester:/home/tester# apt-get install openvpn
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help resolve the situation:
    
    The following packages have unmet dependencies:
     openvpn : Depends: initscripts (>= 2.88dsf-13.3) but it is not installable
    E: Unable to correct problems, you have held broken packages.
    root@tester:/home/tester#
    Any assistance would be greatly apprciated

    Regards

  2. #2
    Join Date
    Mar 2010
    Location
    Squidbilly-Land
    Beans
    Hidden!
    Distro
    Ubuntu Mate 16.04 Xenial Xerus

    Re: Cannot install Openvpn

    The error says:
    Code:
    E: Unable to correct problems, you have held broken packages.
    I bet you can't install many packages. It isn't just openvpn.

    Code:
    sudo apt update
    sudo apt upgrade
    What problems are seen with those commands? Fix them.

  3. #3
    Join Date
    Nov 2008
    Location
    Metro Boston
    Beans
    14,599
    Distro
    Kubuntu Development Release

    Re: Cannot install Openvpn

    Code:
    sudo dpkg --configure -a
    can also solve a lot of problems.
    If you ask for help, do not abandon your request. Please have the courtesy to check for responses and thank the people who helped you.

    Blog · Linode System Administration Guides · Android Apps for Ubuntu Users

  4. #4
    Join Date
    Oct 2004
    Beans
    359
    Distro
    Ubuntu 18.04 Bionic Beaver

    Re: Cannot install Openvpn

    Quote Originally Posted by TheFu View Post
    The error says:
    Code:
    E: Unable to correct problems, you have held broken packages.
    I bet you can't install many packages. It isn't just openvpn.

    Code:
    sudo apt update
    sudo apt upgrade
    What problems are seen with those commands? Fix them.
    No problems with those 2 commands are coming up.

    Quote Originally Posted by SeijiSensei View Post
    Code:
    sudo dpkg --configure -a
    can also solve a lot of problems.
    Code:
    root@tester:/home/tester# sudo dpkg --configure -a
    root@tester:/home/tester#
    It is not doing anything,

    Regards

  5. #5
    Join Date
    Nov 2008
    Location
    Metro Boston
    Beans
    14,599
    Distro
    Kubuntu Development Release

    Re: Cannot install Openvpn

    Try removing that repository and install openvpn from the regular Ubuntu repos. I've installed it on both Ubuntu and CentOS using the standard packages without a hitch.

    Remember to run "sudo apt update" after you remove the repository.
    If you ask for help, do not abandon your request. Please have the courtesy to check for responses and thank the people who helped you.

    Blog · Linode System Administration Guides · Android Apps for Ubuntu Users

  6. #6
    Join Date
    Oct 2004
    Beans
    359
    Distro
    Ubuntu 18.04 Bionic Beaver

    Re: Cannot install Openvpn

    Quote Originally Posted by SeijiSensei View Post
    Try removing that repository and install openvpn from the regular Ubuntu repos. I've installed it on both Ubuntu and CentOS using the standard packages without a hitch.

    Remember to run "sudo apt update" after you remove the repository.
    Hi Thanks for the response

    The problem was that repo. Installed just fine with default ubuntu repository, same version too 2.4.4

    Thank you for your assistance

    Regards

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •